<?php
namespace Controleur;
use Model\QuoteModel;
use Model\SearchModel;
use Gateway\Connection;
use Gateway\QuoteGateway;

Class VisitorControler{

    private QuoteModel $qMod;
    private SearchModel $sMod;
    
    public function __construct(){
        global $co;
        $this->qMod = new QuoteModel(new QuoteGateway($co));
        $this->sMod = new SearchModel(new QuoteGateway($co));
    }

    public function accueil(){
        global $vues;
        require_once $vues['accueil'];
    }

    public function quote(array $arg){
        global $vues;
        $id=$arg['idQuote'] ?? 1;
        $q = $this->qMod->searchId($id);

        require_once $vues['quote'];
    }

    public function login(){
        
        global $vues;
        require_once $vues['login'];
    }

    public function signin(){
        
        global $vues;
        require_once $vues['signin'];
    }

    public function search(array $arg){
        global $vues;

        $type = ($_POST['type'] ?? "");
        $search = ($_POST['search'] ?? NULL);
        $filtre = ($arg['filtre'] ?? []);


        $tq=$this->sMod->searchQuote($type,$search,$filtre);

        require_once $vues['search'];
    }
}